/*+==========================================================================
  File:      DataEdit.h

  Summary:   Extends the default functionality of the WFC Edit control
             by providing two extra methods.
 
  Classes:   DataEdit

  Functions: Append, TruncateOneCharFromEnd
             
----------------------------------------------------------------------------
  This file is part of the Microsoft NGWS Samples.

  Copyright (C) 1998-1999 Microsoft Corporation.  All rights reserved.
==========================================================================+*/

#ifndef NULL
#define NULL 0
#endif

__gc class DataEdit : public TextBox
{
public:
    void Append(String *str);
	void TruncateOneCharFromEnd();
};
