/*+==========================================================================
  File:      SendEdit.ch

  Summary:   Extends the default functionality of the DataEdit control
             by forwarding characters typed by the user to a Socket.
 
  Classes:   SendEdit

  Functions: SetClientConnection, WndProc, OnChar
             
----------------------------------------------------------------------------
  This file is part of the Microsoft NGWS Samples.

  Copyright (C) 1998-1999 Microsoft Corporation.  All rights reserved.
==========================================================================+*/

#include "DataEdit.h"
#ifndef NULL
#define NULL 0
#endif

__gc class SendEdit : public DataEdit
{
protected:
	Socket *ClientConnection;
	
	void WndProc(Message *m);
	bool OnChar(int nChar, int nRepCnt, int nFlags);
	
public:
	SendEdit();
	void SetClientConnection(Socket *s);
};
